Skip to main content
POST
Create an external fiat account

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

user_id
string
required

The DID of the user to create the external fiat account for.

Body

application/json

Request body for creating an external fiat account. The shape varies by provider.

provider
enum<string>
required

Discriminator: the external fiat account is orchestrated via Bridge.

Available options:
bridge
currency
string
required
account_owner_name
string
required
Required string length: 3 - 256
account
ExternalFiatAccountUsData · object
required

US bank account data for an external fiat account.

environment
enum<string>

The Privy API environment.

Available options:
sandbox,
production
Example:

"sandbox"

bank_name
string
Required string length: 1 - 256
address
ExternalFiatAccountAddress · object

Physical address associated with an external fiat account.

Response

200 - application/json

The created external fiat account.

Response containing a single external fiat account.

external_fiat_account
ExternalFiatAccount · object
required

An external fiat account linked to a user. The shape varies by provider.